# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg bindata
%define ver 0.9
%define rrel 6
%define rel 1
%define __spec_install_post exit 0

Name: R-%{pkg}
Summary: R-package: Generation of Artificial Binary Data
Group: Applications/Engineering
Copyright: GPL
Prefix: /usr
BuildRoot: %{_tmppath}/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}-%{rrel}.tar.gz
Requires: R-base, R-e1071
#Excludearch: sparc

%description
Generation of correlated artificial binary data.

By Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
and Andreas Weingessel <Andreas.Weingessel@ci.tuwien.ac.at>

%prep
%setup -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/%{pkg}
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/LibIndex
rm -rf ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX >/dev/null 2>&1

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX > /dev/null 2>&1
fi

%changelog
* Fri Jan  5 2001 Tim Powers <timp@redhat.com>
- updated to 0.9-6

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 15 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- clean up specfile
- build for sparc

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt against base-0.90.1
- gzip man pages if there are any

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- rebuilt against R-base-0.90

* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- updated version
- built for 6.1, alpha and i386

* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- make sure the pre and post are quiet

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- built for powertools, new group, etc. 

